package com.red.circle.console.app.service.admin;

import com.red.circle.console.app.dto.clienobject.admin.ResourceCO;
import com.red.circle.console.app.dto.cmd.admin.PageResourceQryCmd;
import com.red.circle.framework.dto.PageResult;
import java.util.List;

/**
 * 资源表.
 *
 * @author pengliang on 2023/5/12
 */
public interface AdminResourceService {

  /**
   * 查询所有资源(分页).
   */
  PageResult<ResourceCO> pageResource(PageResourceQryCmd cmd);

  /**
   * 查询所有资源.
   */
  List<ResourceCO> list();

  /**
   * 刷新资源.
   */
  void doScan();

}
